// ---------------------------------------
//              section of logos
// const { $ } = require("dom7");

// ---------------------------------------
let brandsClass = new Class({
  options: {
    elements: [],
    linksTag: [],
    imageIndexs: [],
  },
  init: function (options) {
    this.setNewOptions(this, options);
    this.onContainer(
      this,
      this.options.container,
      this.options.linksTag,
      this.options.links,
      this.options.elements,
      this.options.images
    );
  },
  // --------------------------
  onContainer: (self, container, linksTag, links, elements, images) => {
    for (let i = 0; i < 19; i++) {
      let a = document.createElement("A");
      let element = document.createElement("IMG");
      self.setImageSrc(self, a, links, element, images, i);
      a.appendChild(element);
      container.appendChild(a);
      linksTag.push(a);
      elements.push(element);
      if (i === 0 || i === 1 || i === 2 || i === 3) a.className = "tablet";
      if (i === 4 || i === 5 || i === 6 || i === 7) a.className = "mobile";
    }
    self.onCreateElement(
      self,
      linksTag,
      links,
      elements,
      images,
      self.options.time
    );
  },
  onCreateElement: (self, a, links, elements, images, time) => {
    time *= 2000;
    setInterval(() => {
      for (let x = 0; x < 3; x++) {
        let indexTable = Math.floor(Math.floor(Math.random() * 20));
        self.setImageSrc(
          self,
          a[indexTable],
          links,
          elements[indexTable],
          images,
          indexTable
        );
      }
    }, time);
  },
  setImageSrc: (self, a, links, element, images, indexTable) => {
    let length = images.length;
    // ------------------------------------- جلوگیری از تکرار
    a.addClass("hide");
    setTimeout(() => {
      let indexImage = Math.floor(Math.floor(Math.random() * length));
      if (!self.options.imageIndexs.includes(indexImage)) {
        self.options.imageIndexs[indexTable] = indexImage;
        a.href = links[indexImage];
        element.src = images[indexImage];
        a.removeClass("hide");
      } else {
        self.setImageSrc(self, a, links, element, images, indexTable);
      }
    }, 500);
  },
  // --------------------------
  setNewOptions: (self, options) => {
    self.options = {
      ...self.options,
      ...options,
    };
  },
});
// ---------------------------------------------------
//          section about-us-video
// ---------------------------------------------------
let aboutUsModalClass = new Class({
  options: {},
  init: function (options) {
    this.setNewOptions(this, options);
    this.onOpenModal(this.options);
    this.onCloseModal(this.options);
  },
  // -------------------------
  onOpenModal: (options) => {
    options.btnOpen.onclick = () => {
      options.modal.removeClass("disNone");
      setTimeout(() => {
        options.modal.removeClass("opacity0");
      }, 1);
    };
  },
  onCloseModal: (options) => {
    options.btnClose.onclick = () => {
      options.video.pause();
      options.video.currentTime = 0;
      options.modal.addClass("opacity0");
      setTimeout(() => {
        options.modal.addClass("disNone");
      }, 400);
    };
  },
  // -------------------------
  setNewOptions: (self, options) => {
    self.options = {
      ...self.options,
      ...options,
    };
  },
});

// =================================================
// ======= section of map ========
// =================================================
let tooltipClass = new Class({
  options: {},
  init: function (options) {
    this.setNewOptions(this, options);
    this.onMap(this, this.options);
  },
  // -------------------------
  onMap: (self, options) => {
    let tooltip = null;
    options.province.onmouseleave = () => {
      if (tooltip !== null) {
        {
          self.deleteTooltip(tooltip);
          tooltip = null;
        }
      }
    };
    options.province.getElements("path[class]").forEach((path) => {
      path.onmousemove = (e) => {
        if (tooltip !== null) {
          self.deleteTooltip(tooltip);
          tooltip = null;
        }
        let top = e.clientY;
        let left = e.clientX;
        tooltip = self.createTooltip(path, top, left);
      };
    });
  },
  deleteTooltip: (tooltip) => {
    $$("main").removeChild(tooltip);
  },
  createTooltip: (tooltip, top, left) => {
    let div = document.createElement("DIV");
    let h = document.createElement("H3");
    let p = document.createElement("P");
    h.innerHTML = tooltip.getAttribute("province");
    p.innerHTML = tooltip.getAttribute("shobe") + " شعبه فعال";
    div.appendChild(h);
    div.appendChild(p);
    div.className = "tooltip";
    $$("main").appendChild(div);
    div.style.top = top - 10 + "px";
    div.style.left = left + 20 + "px";
    return div;
  },
  // -------------------------
  setNewOptions: (self, options) => {
    self.options = {
      ...self.options,
      ...options,
    };
  },
});
// =================================================
// ====== page Blog section-video play video ======
// =================================================
let BlogVideoClass = new Class({
  options: {},
  init: function (options) {
    this.setNewOptions(this, options);
    this.onItemClick(this, this.options);
  },
  // -------------------------
  onItemClick: (self, options) => {
    options.items.forEach((item, index) => {
      item.onclick = () => {
        options.main.src = item.getAttribute("data-src");
        self.setClass(options.items, index);
      };
    });
  },
  setClass: (items, index) => {
    items.forEach((item) => {
      item.removeClass("selected");
    });
    items[index].addClass("selected");
  },
  // -------------------------
  setNewOptions: (self, options) => {
    self.options = {
      ...self.options,
      ...options,
    };
  },
});
